

// Format values to form without unnecessary zeros or invalid inputs.
// this functions are refferenced at USDValuesCalculate(supp/comp) fucntions for each column. Also at SummaryTableCalculate function - for summary table. 

function ReplaceZerosHuskysupp1(){
    
    var ProductCosthuskysupp1  = document.getElementById("OliPage:form1:pageblock1:ProductCosthuskysupp1").value.replace(/,/g, ''); ProductCosthuskysupp1 = TrailingZeros( ProductCosthuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:ProductCosthuskysupp1").value =ProductCosthuskysupp1;
var LloydProcessinghuskysupp1  = document.getElementById("OliPage:form1:pageblock1:LloydProcessinghuskysupp1").value.replace(/,/g, ''); LloydProcessinghuskysupp1 = TrailingZeros( LloydProcessinghuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:LloydProcessinghuskysupp1").value =LloydProcessinghuskysupp1;
var Freight_to_terminal_huskysupp1  = document.getElementById("OliPage:form1:pageblock1:Freight_to_terminal_huskysupp1").value.replace(/,/g, ''); Freight_to_terminal_huskysupp1 = TrailingZeros( Freight_to_terminal_huskysupp1 ); document.getElementById("OliPage:form1:pageblock1:Freight_to_terminal_huskysupp1").value =Freight_to_terminal_huskysupp1;
var RailCarFeehuskysupp1  = document.getElementById("OliPage:form1:pageblock1:RailCarFeehuskysupp1").value.replace(/,/g, ''); RailCarFeehuskysupp1 = TrailingZeros( RailCarFeehuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:RailCarFeehuskysupp1").value =RailCarFeehuskysupp1;
var FreighttoCustomerhuskysupp1  = document.getElementById("OliPage:form1:pageblock1:FreighttoCustomerhuskysupp1").value.replace(/,/g, ''); FreighttoCustomerhuskysupp1 = TrailingZeros( FreighttoCustomerhuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:FreighttoCustomerhuskysupp1").value =FreighttoCustomerhuskysupp1;
var Differential_huskysupp1  = document.getElementById("OliPage:form1:pageblock1:Differential_huskysupp1").value.replace(/,/g, ''); Differential_huskysupp1 = TrailingZeros( Differential_huskysupp1 ); document.getElementById("OliPage:form1:pageblock1:Differential_huskysupp1").value =Differential_huskysupp1;
var Marketing_Fee_huskysupp1  = document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_huskysupp1").value.replace(/,/g, ''); Marketing_Fee_huskysupp1 = TrailingZeros( Marketing_Fee_huskysupp1 ); document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_huskysupp1").value =Marketing_Fee_huskysupp1;
var Terminal_Throughputs_huskysupp1  = document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_huskysupp1").value.replace(/,/g, ''); Terminal_Throughputs_huskysupp1 = TrailingZeros( Terminal_Throughputs_huskysupp1 ); document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_huskysupp1").value =Terminal_Throughputs_huskysupp1;
var Chemical_Costs_huskysupp1  = document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_huskysupp1").value.replace(/,/g, ''); Chemical_Costs_huskysupp1 = TrailingZeros( Chemical_Costs_huskysupp1 ); document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_huskysupp1").value =Chemical_Costs_huskysupp1;
var Modification_Costs_huskysupp1  = document.getElementById("OliPage:form1:pageblock1:Modification_Costs_huskysupp1").value.replace(/,/g, ''); Modification_Costs_huskysupp1 = TrailingZeros( Modification_Costs_huskysupp1 ); document.getElementById("OliPage:form1:pageblock1:Modification_Costs_huskysupp1").value =Modification_Costs_huskysupp1;
var DelivCosthuskysupp1  = document.getElementById("OliPage:form1:pageblock1:DelivCosthuskysupp1").value.replace(/,/g, ''); DelivCosthuskysupp1 = TrailingZeros( DelivCosthuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:DelivCosthuskysupp1").value =DelivCosthuskysupp1;
var Marginhuskysupp1  = document.getElementById("OliPage:form1:pageblock1:Marginhuskysupp1").value.replace(/,/g, ''); Marginhuskysupp1 = TrailingZeros( Marginhuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:Marginhuskysupp1").value =Marginhuskysupp1;
var MarginPrcthuskysupp1  = document.getElementById("OliPage:form1:pageblock1:MarginPrcthuskysupp1").value.replace(/,/g, ''); MarginPrcthuskysupp1 = TrailingZeros( MarginPrcthuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:MarginPrcthuskysupp1").value =MarginPrcthuskysupp1;
var salesPriceHuskysupp1  = document.getElementById("OliPage:form1:pageblock1:salesPriceHuskysupp1").value.replace(/,/g, ''); salesPriceHuskysupp1 = TrailingZeros( salesPriceHuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:salesPriceHuskysupp1").value =salesPriceHuskysupp1;
var salesPriceBIDHuskysupp1  = document.getElementById("OliPage:form1:pageblock1:salesPriceBIDHuskysupp1").value.replace(/,/g, ''); salesPriceBIDHuskysupp1 = TrailingZeros( salesPriceBIDHuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:salesPriceBIDHuskysupp1").value =salesPriceBIDHuskysupp1;
var NetbackLloydminsterhuskysupp1  = document.getElementById("OliPage:form1:pageblock1:NetbackLloydminsterhuskysupp1").value.replace(/,/g, ''); NetbackLloydminsterhuskysupp1 = TrailingZeros( NetbackLloydminsterhuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:NetbackLloydminsterhuskysupp1").value = NetbackLloydminsterhuskysupp1;
var ApproxMarginHuskysupp1id  = document.getElementById("OliPage:form1:pageblock1:ApproxMarginHuskysupp1id").value.replace(/,/g, ''); ApproxMarginHuskysupp1id = TrailingZeros( ApproxMarginHuskysupp1id ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginHuskysupp1id").value =ApproxMarginHuskysupp1id;
var DeliveredCostUSDHuskysupp1  = document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDHuskysupp1").value.replace(/,/g, ''); DeliveredCostUSDHuskysupp1 = TrailingZeros( DeliveredCostUSDHuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDHuskysupp1").value =DeliveredCostUSDHuskysupp1;
var ApproxMarginUSDHuskysupp1  = document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDHuskysupp1").value.replace(/,/g, ''); ApproxMarginUSDHuskysupp1 = TrailingZeros( ApproxMarginUSDHuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDHuskysupp1").value =ApproxMarginUSDHuskysupp1;
var SalesPriceUSDHuskysupp1  = document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDHuskysupp1").value.replace(/,/g, ''); SalesPriceUSDHuskysupp1 = TrailingZeros( SalesPriceUSDHuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDHuskysupp1").value =SalesPriceUSDHuskysupp1;
var NetBackLloydHuskysupp1  = document.getElementById("OliPage:form1:pageblock1:NetBackLloydHuskysupp1").value.replace(/,/g, ''); NetBackLloydHuskysupp1 = TrailingZeros( NetBackLloydHuskysupp1 ); document.getElementById("OliPage:form1:pageblock1:NetBackLloydHuskysupp1").value =NetBackLloydHuskysupp1;
 
}

function ReplaceZerosHuskysupp2(){

    var ProductCosthuskysupp2  = document.getElementById("OliPage:form1:pageblock1:ProductCosthuskysupp2").value.replace(/,/g, ''); ProductCosthuskysupp2 = TrailingZeros( ProductCosthuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:ProductCosthuskysupp2").value =ProductCosthuskysupp2;
var LloydProcessinghuskysupp2  = document.getElementById("OliPage:form1:pageblock1:LloydProcessinghuskysupp2").value.replace(/,/g, ''); LloydProcessinghuskysupp2 = TrailingZeros( LloydProcessinghuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:LloydProcessinghuskysupp2").value =LloydProcessinghuskysupp2;
var Freight_to_terminal_huskysupp2  = document.getElementById("OliPage:form1:pageblock1:Freight_to_terminal_huskysupp2").value.replace(/,/g, ''); Freight_to_terminal_huskysupp2 = TrailingZeros( Freight_to_terminal_huskysupp2 ); document.getElementById("OliPage:form1:pageblock1:Freight_to_terminal_huskysupp2").value =Freight_to_terminal_huskysupp2;
var RailCarFeehuskysupp2  = document.getElementById("OliPage:form1:pageblock1:RailCarFeehuskysupp2").value.replace(/,/g, ''); RailCarFeehuskysupp2 = TrailingZeros( RailCarFeehuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:RailCarFeehuskysupp2").value =RailCarFeehuskysupp2;
var FreighttoCustomerhuskysupp2  = document.getElementById("OliPage:form1:pageblock1:FreighttoCustomerhuskysupp2").value.replace(/,/g, ''); FreighttoCustomerhuskysupp2 = TrailingZeros( FreighttoCustomerhuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:FreighttoCustomerhuskysupp2").value =FreighttoCustomerhuskysupp2;
var Differential_huskysupp2  = document.getElementById("OliPage:form1:pageblock1:Differential_huskysupp2").value.replace(/,/g, ''); Differential_huskysupp2 = TrailingZeros( Differential_huskysupp2 ); document.getElementById("OliPage:form1:pageblock1:Differential_huskysupp2").value =Differential_huskysupp2;
var Marketing_Fee_huskysupp2  = document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_huskysupp2").value.replace(/,/g, ''); Marketing_Fee_huskysupp2 = TrailingZeros( Marketing_Fee_huskysupp2 ); document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_huskysupp2").value =Marketing_Fee_huskysupp2;
var Terminal_Throughputs_huskysupp2  = document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_huskysupp2").value.replace(/,/g, ''); Terminal_Throughputs_huskysupp2 = TrailingZeros( Terminal_Throughputs_huskysupp2 ); document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_huskysupp2").value =Terminal_Throughputs_huskysupp2;
var Chemical_Costs_huskysupp2  = document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_huskysupp2").value.replace(/,/g, ''); Chemical_Costs_huskysupp2 = TrailingZeros( Chemical_Costs_huskysupp2 ); document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_huskysupp2").value =Chemical_Costs_huskysupp2;
var Modification_Costs_huskysupp2  = document.getElementById("OliPage:form1:pageblock1:Modification_Costs_huskysupp2").value.replace(/,/g, ''); Modification_Costs_huskysupp2 = TrailingZeros( Modification_Costs_huskysupp2 ); document.getElementById("OliPage:form1:pageblock1:Modification_Costs_huskysupp2").value =Modification_Costs_huskysupp2;
var DelivCosthuskysupp2  = document.getElementById("OliPage:form1:pageblock1:DelivCosthuskysupp2").value.replace(/,/g, ''); DelivCosthuskysupp2 = TrailingZeros( DelivCosthuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:DelivCosthuskysupp2").value =DelivCosthuskysupp2;
var Marginhuskysupp2  = document.getElementById("OliPage:form1:pageblock1:Marginhuskysupp2").value.replace(/,/g, ''); Marginhuskysupp2 = TrailingZeros( Marginhuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:Marginhuskysupp2").value =Marginhuskysupp2;
var MarginPrcthuskysupp2  = document.getElementById("OliPage:form1:pageblock1:MarginPrcthuskysupp2").value.replace(/,/g, ''); MarginPrcthuskysupp2 = TrailingZeros( MarginPrcthuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:MarginPrcthuskysupp2").value =MarginPrcthuskysupp2;
var salesPriceHuskysupp2  = document.getElementById("OliPage:form1:pageblock1:salesPriceHuskysupp2").value.replace(/,/g, ''); salesPriceHuskysupp2 = TrailingZeros( salesPriceHuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:salesPriceHuskysupp2").value =salesPriceHuskysupp2;
var salesPriceBIDHuskysupp2  = document.getElementById("OliPage:form1:pageblock1:salesPriceBIDHuskysupp2").value.replace(/,/g, ''); salesPriceBIDHuskysupp2 = TrailingZeros( salesPriceBIDHuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:salesPriceBIDHuskysupp2").value =salesPriceBIDHuskysupp2;
var NetbackLloydminsterhuskysupp2  = document.getElementById("OliPage:form1:pageblock1:NetbackLloydminsterhuskysupp2").value.replace(/,/g, ''); NetbackLloydminsterhuskysupp2 = TrailingZeros( NetbackLloydminsterhuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:NetbackLloydminsterhuskysupp2").value =NetbackLloydminsterhuskysupp2;
var ApproxMarginHuskysupp2id  = document.getElementById("OliPage:form1:pageblock1:ApproxMarginHuskysupp2id").value.replace(/,/g, ''); ApproxMarginHuskysupp2id = TrailingZeros( ApproxMarginHuskysupp2id ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginHuskysupp2id").value =ApproxMarginHuskysupp2id;
var DeliveredCostUSDHuskysupp2  = document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDHuskysupp2").value.replace(/,/g, ''); DeliveredCostUSDHuskysupp2 = TrailingZeros( DeliveredCostUSDHuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDHuskysupp2").value =DeliveredCostUSDHuskysupp2;
var ApproxMarginUSDHuskysupp2  = document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDHuskysupp2").value.replace(/,/g, ''); ApproxMarginUSDHuskysupp2 = TrailingZeros( ApproxMarginUSDHuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDHuskysupp2").value =ApproxMarginUSDHuskysupp2;
var SalesPriceUSDHuskysupp2  = document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDHuskysupp2").value.replace(/,/g, ''); SalesPriceUSDHuskysupp2 = TrailingZeros( SalesPriceUSDHuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDHuskysupp2").value =SalesPriceUSDHuskysupp2;
var NetBackLloydHuskysupp2  = document.getElementById("OliPage:form1:pageblock1:NetBackLloydHuskysupp2").value.replace(/,/g, ''); NetBackLloydHuskysupp2 = TrailingZeros( NetBackLloydHuskysupp2 ); document.getElementById("OliPage:form1:pageblock1:NetBackLloydHuskysupp2").value =NetBackLloydHuskysupp2;

}

function ReplaceZerosHuskysupp3(){

var ProductCosthuskysupp3  = document.getElementById("OliPage:form1:pageblock1:ProductCosthuskysupp3").value.replace(/,/g, ''); ProductCosthuskysupp3 = TrailingZeros( ProductCosthuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:ProductCosthuskysupp3").value =ProductCosthuskysupp3;
var LloydProcessinghuskysupp3  = document.getElementById("OliPage:form1:pageblock1:LloydProcessinghuskysupp3").value.replace(/,/g, ''); LloydProcessinghuskysupp3 = TrailingZeros( LloydProcessinghuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:LloydProcessinghuskysupp3").value =LloydProcessinghuskysupp3;
var Freight_to_terminal_huskysupp3  = document.getElementById("OliPage:form1:pageblock1:Freight_to_terminal_huskysupp3").value.replace(/,/g, ''); Freight_to_terminal_huskysupp3 = TrailingZeros( Freight_to_terminal_huskysupp3 ); document.getElementById("OliPage:form1:pageblock1:Freight_to_terminal_huskysupp3").value =Freight_to_terminal_huskysupp3;
var RailCarFeehuskysupp3  = document.getElementById("OliPage:form1:pageblock1:RailCarFeehuskysupp3").value.replace(/,/g, ''); RailCarFeehuskysupp3 = TrailingZeros( RailCarFeehuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:RailCarFeehuskysupp3").value =RailCarFeehuskysupp3;
var FreighttoCustomerhuskysupp3  = document.getElementById("OliPage:form1:pageblock1:FreighttoCustomerhuskysupp3").value.replace(/,/g, ''); FreighttoCustomerhuskysupp3 = TrailingZeros( FreighttoCustomerhuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:FreighttoCustomerhuskysupp3").value =FreighttoCustomerhuskysupp3;
var Differential_huskysupp3  = document.getElementById("OliPage:form1:pageblock1:Differential_huskysupp3").value.replace(/,/g, ''); Differential_huskysupp3 = TrailingZeros( Differential_huskysupp3 ); document.getElementById("OliPage:form1:pageblock1:Differential_huskysupp3").value =Differential_huskysupp3;
var Marketing_Fee_huskysupp3  = document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_huskysupp3").value.replace(/,/g, ''); Marketing_Fee_huskysupp3 = TrailingZeros( Marketing_Fee_huskysupp3 ); document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_huskysupp3").value =Marketing_Fee_huskysupp3;
var Terminal_Throughputs_huskysupp3  = document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_huskysupp3").value.replace(/,/g, ''); Terminal_Throughputs_huskysupp3 = TrailingZeros( Terminal_Throughputs_huskysupp3 ); document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_huskysupp3").value =Terminal_Throughputs_huskysupp3;
var Chemical_Costs_huskysupp3  = document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_huskysupp3").value.replace(/,/g, ''); Chemical_Costs_huskysupp3 = TrailingZeros( Chemical_Costs_huskysupp3 ); document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_huskysupp3").value =Chemical_Costs_huskysupp3;
var Modification_Costs_huskysupp3  = document.getElementById("OliPage:form1:pageblock1:Modification_Costs_huskysupp3").value.replace(/,/g, ''); Modification_Costs_huskysupp3 = TrailingZeros( Modification_Costs_huskysupp3 ); document.getElementById("OliPage:form1:pageblock1:Modification_Costs_huskysupp3").value =Modification_Costs_huskysupp3;
var DelivCosthuskysupp3  = document.getElementById("OliPage:form1:pageblock1:DelivCosthuskysupp3").value.replace(/,/g, ''); DelivCosthuskysupp3 = TrailingZeros( DelivCosthuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:DelivCosthuskysupp3").value =DelivCosthuskysupp3;
var Marginhuskysupp3  = document.getElementById("OliPage:form1:pageblock1:Marginhuskysupp3").value.replace(/,/g, ''); Marginhuskysupp3 = TrailingZeros( Marginhuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:Marginhuskysupp3").value =Marginhuskysupp3;
var MarginPrcthuskysupp3  = document.getElementById("OliPage:form1:pageblock1:MarginPrcthuskysupp3").value.replace(/,/g, ''); MarginPrcthuskysupp3 = TrailingZeros( MarginPrcthuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:MarginPrcthuskysupp3").value =MarginPrcthuskysupp3;
var salesPriceHuskysupp3  = document.getElementById("OliPage:form1:pageblock1:salesPriceHuskysupp3").value.replace(/,/g, ''); salesPriceHuskysupp3 = TrailingZeros( salesPriceHuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:salesPriceHuskysupp3").value =salesPriceHuskysupp3;
var salesPriceBIDHuskysupp3  = document.getElementById("OliPage:form1:pageblock1:salesPriceBIDHuskysupp3").value.replace(/,/g, ''); salesPriceBIDHuskysupp3 = TrailingZeros( salesPriceBIDHuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:salesPriceBIDHuskysupp3").value =salesPriceBIDHuskysupp3;
var NetbackLloydminsterhuskysupp3  = document.getElementById("OliPage:form1:pageblock1:NetbackLloydminsterhuskysupp3").value.replace(/,/g, ''); NetbackLloydminsterhuskysupp3 = TrailingZeros( NetbackLloydminsterhuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:NetbackLloydminsterhuskysupp3").value =NetbackLloydminsterhuskysupp3;
var ApproxMarginHuskysupp3id  = document.getElementById("OliPage:form1:pageblock1:ApproxMarginHuskysupp3id").value.replace(/,/g, ''); ApproxMarginHuskysupp3id = TrailingZeros( ApproxMarginHuskysupp3id ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginHuskysupp3id").value =ApproxMarginHuskysupp3id;
var DeliveredCostUSDHuskysupp3  = document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDHuskysupp3").value.replace(/,/g, ''); DeliveredCostUSDHuskysupp3 = TrailingZeros( DeliveredCostUSDHuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDHuskysupp3").value =DeliveredCostUSDHuskysupp3;
var ApproxMarginUSDHuskysupp3  = document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDHuskysupp3").value.replace(/,/g, ''); ApproxMarginUSDHuskysupp3 = TrailingZeros( ApproxMarginUSDHuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDHuskysupp3").value =ApproxMarginUSDHuskysupp3;
var SalesPriceUSDHuskysupp3  = document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDHuskysupp3").value.replace(/,/g, ''); SalesPriceUSDHuskysupp3 = TrailingZeros( SalesPriceUSDHuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDHuskysupp3").value =SalesPriceUSDHuskysupp3;
var NetBackLloydHuskysupp3  = document.getElementById("OliPage:form1:pageblock1:NetBackLloydHuskysupp3").value.replace(/,/g, ''); NetBackLloydHuskysupp3 = TrailingZeros( NetBackLloydHuskysupp3 ); document.getElementById("OliPage:form1:pageblock1:NetBackLloydHuskysupp3").value =NetBackLloydHuskysupp3;

}

function ReplaceZerosComp1(){
    var ProductCostcomp1  = document.getElementById("OliPage:form1:pageblock1:ProductCostcomp1").value.replace(/,/g, ''); ProductCostcomp1 = TrailingZeros( ProductCostcomp1 ); document.getElementById("OliPage:form1:pageblock1:ProductCostcomp1").value =ProductCostcomp1;
    var FreighttoCustomercomp1  = document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp1").value.replace(/,/g, ''); FreighttoCustomercomp1 = TrailingZeros( FreighttoCustomercomp1 ); document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp1").value =FreighttoCustomercomp1;
    var Differential_comp1  = document.getElementById("OliPage:form1:pageblock1:Differential_comp1").value.replace(/,/g, ''); Differential_comp1 = TrailingZeros( Differential_comp1 ); document.getElementById("OliPage:form1:pageblock1:Differential_comp1").value =Differential_comp1;
    var Marketing_Fee_comp1  = document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp1").value.replace(/,/g, ''); Marketing_Fee_comp1 = TrailingZeros( Marketing_Fee_comp1 ); document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp1").value =Marketing_Fee_comp1;
    var Terminal_Throughputs_comp1  = document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp1").value.replace(/,/g, ''); Terminal_Throughputs_comp1 = TrailingZeros( Terminal_Throughputs_comp1 ); document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp1").value =Terminal_Throughputs_comp1;
    var Chemical_Costs_comp1  = document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp1").value.replace(/,/g, ''); Chemical_Costs_comp1 = TrailingZeros( Chemical_Costs_comp1 ); document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp1").value =Chemical_Costs_comp1;
    var Modification_Costs_comp1  = document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp1").value.replace(/,/g, ''); Modification_Costs_comp1 = TrailingZeros( Modification_Costs_comp1 ); document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp1").value =Modification_Costs_comp1;
    var DelivCostcomp1  = document.getElementById("OliPage:form1:pageblock1:DelivCostcomp1").value.replace(/,/g, ''); DelivCostcomp1 = TrailingZeros( DelivCostcomp1 ); document.getElementById("OliPage:form1:pageblock1:DelivCostcomp1").value =DelivCostcomp1;
    var Margincomp1  = document.getElementById("OliPage:form1:pageblock1:Margincomp1").value.replace(/,/g, ''); Margincomp1 = TrailingZeros( Margincomp1 ); document.getElementById("OliPage:form1:pageblock1:Margincomp1").value =Margincomp1;
    var MarginPrctcomp1  = document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp1").value.replace(/,/g, ''); MarginPrctcomp1 = TrailingZeros( MarginPrctcomp1 ); document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp1").value =MarginPrctcomp1;
    var salesPriceComp1 = document.getElementById("OliPage:form1:pageblock1:salesPriceComp1").value.replace(/,/g, '');  salesPriceComp1 = TrailingZeros( salesPriceComp1 ); document.getElementById("OliPage:form1:pageblock1:salesPriceComp1").value = salesPriceComp1 ;
    var salesPriceBIDComp1 = document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp1").value.replace(/,/g, '');  salesPriceBIDComp1 = TrailingZeros( salesPriceBIDComp1 ); document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp1").value =  salesPriceBIDComp1;
    var DeliveredCostUSDComp1 = document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp1").value.replace(/,/g, '');  DeliveredCostUSDComp1 = TrailingZeros( DeliveredCostUSDComp1 ); document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp1").value =  DeliveredCostUSDComp1;
    var ApproxMarginUSDComp1 = document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp1").value.replace(/,/g, '');  ApproxMarginUSDComp1 = TrailingZeros( ApproxMarginUSDComp1 ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp1").value =  ApproxMarginUSDComp1;
    var SalesPriceUSDComp1 = document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp1").value.replace(/,/g, '');  SalesPriceUSDComp1 = TrailingZeros( SalesPriceUSDComp1 ); document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp1").value =  SalesPriceUSDComp1;
    var Net_Back_comp1  = document.getElementById("OliPage:form1:pageblock1:Net_Back_comp1").value.replace(/,/g, ''); Net_Back_comp1 = TrailingZeros( Net_Back_comp1 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_comp1").value =Net_Back_comp1;
    var Net_Back_Origin_USD_comp1  = document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp1").value.replace(/,/g, ''); Net_Back_Origin_USD_comp1 = TrailingZeros( Net_Back_Origin_USD_comp1 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp1").value =Net_Back_Origin_USD_comp1;
}

function ReplaceZerosComp2(){
    var ProductCostcomp2  = document.getElementById("OliPage:form1:pageblock1:ProductCostcomp2").value.replace(/,/g, ''); ProductCostcomp2 = TrailingZeros( ProductCostcomp2 ); document.getElementById("OliPage:form1:pageblock1:ProductCostcomp2").value =ProductCostcomp2;
    var FreighttoCustomercomp2  = document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp2").value.replace(/,/g, ''); FreighttoCustomercomp2 = TrailingZeros( FreighttoCustomercomp2 ); document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp2").value =FreighttoCustomercomp2;
    var Differential_comp2  = document.getElementById("OliPage:form1:pageblock1:Differential_comp2").value.replace(/,/g, ''); Differential_comp2 = TrailingZeros( Differential_comp2 ); document.getElementById("OliPage:form1:pageblock1:Differential_comp2").value =Differential_comp2;
    var Marketing_Fee_comp2  = document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp2").value.replace(/,/g, ''); Marketing_Fee_comp2 = TrailingZeros( Marketing_Fee_comp2 ); document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp2").value =Marketing_Fee_comp2;
    var Terminal_Throughputs_comp2  = document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp2").value.replace(/,/g, ''); Terminal_Throughputs_comp2 = TrailingZeros( Terminal_Throughputs_comp2 ); document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp2").value =Terminal_Throughputs_comp2;
    var Chemical_Costs_comp2  = document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp2").value.replace(/,/g, ''); Chemical_Costs_comp2 = TrailingZeros( Chemical_Costs_comp2 ); document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp2").value =Chemical_Costs_comp2;
    var Modification_Costs_comp2  = document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp2").value.replace(/,/g, ''); Modification_Costs_comp2 = TrailingZeros( Modification_Costs_comp2 ); document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp2").value =Modification_Costs_comp2;
    var DelivCostcomp2  = document.getElementById("OliPage:form1:pageblock1:DelivCostcomp2").value.replace(/,/g, ''); DelivCostcomp2 = TrailingZeros( DelivCostcomp2 ); document.getElementById("OliPage:form1:pageblock1:DelivCostcomp2").value =DelivCostcomp2;
    var Margincomp2  = document.getElementById("OliPage:form1:pageblock1:Margincomp2").value.replace(/,/g, ''); Margincomp2 = TrailingZeros( Margincomp2 ); document.getElementById("OliPage:form1:pageblock1:Margincomp2").value =Margincomp2;
    var MarginPrctcomp2  = document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp2").value.replace(/,/g, ''); MarginPrctcomp2 = TrailingZeros( MarginPrctcomp2 ); document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp2").value =MarginPrctcomp2;
    var salesPriceComp2 = document.getElementById("OliPage:form1:pageblock1:salesPriceComp2").value.replace(/,/g, '');  salesPriceComp2 = TrailingZeros( salesPriceComp2 ); document.getElementById("OliPage:form1:pageblock1:salesPriceComp2").value = salesPriceComp2 ;    
    var salesPriceBIDComp2 = document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp2").value.replace(/,/g, '');  salesPriceBIDComp2 = TrailingZeros( salesPriceBIDComp2 ); document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp2").value =  salesPriceBIDComp2;
    var SalesPriceUSDComp2 = document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp2").value.replace(/,/g, '');  SalesPriceUSDComp2 = TrailingZeros( SalesPriceUSDComp2 ); document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp2").value =  SalesPriceUSDComp2;
    var DeliveredCostUSDComp2 = document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp2").value.replace(/,/g, '');  DeliveredCostUSDComp2 = TrailingZeros( DeliveredCostUSDComp2 ); document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp2").value =  DeliveredCostUSDComp2;
    var ApproxMarginUSDComp2 = document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp2").value.replace(/,/g, '');  ApproxMarginUSDComp2 = TrailingZeros( ApproxMarginUSDComp2 ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp2").value =  ApproxMarginUSDComp2;
    var Net_Back_comp2  = document.getElementById("OliPage:form1:pageblock1:Net_Back_comp2").value.replace(/,/g, ''); Net_Back_comp2 = TrailingZeros( Net_Back_comp2 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_comp2").value =Net_Back_comp2;
    var Net_Back_Origin_USD_comp2  = document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp2").value.replace(/,/g, ''); Net_Back_Origin_USD_comp2 = TrailingZeros( Net_Back_Origin_USD_comp2 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp2").value =Net_Back_Origin_USD_comp2;
}

function ReplaceZerosComp3(){
    var ProductCostcomp3  = document.getElementById("OliPage:form1:pageblock1:ProductCostcomp3").value.replace(/,/g, ''); ProductCostcomp3 = TrailingZeros( ProductCostcomp3 ); document.getElementById("OliPage:form1:pageblock1:ProductCostcomp3").value =ProductCostcomp3;
    var FreighttoCustomercomp3  = document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp3").value.replace(/,/g, ''); FreighttoCustomercomp3 = TrailingZeros( FreighttoCustomercomp3 ); document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp3").value =FreighttoCustomercomp3;
    var Differential_comp3  = document.getElementById("OliPage:form1:pageblock1:Differential_comp3").value.replace(/,/g, ''); Differential_comp3 = TrailingZeros( Differential_comp3 ); document.getElementById("OliPage:form1:pageblock1:Differential_comp3").value =Differential_comp3;
    var Marketing_Fee_comp3  = document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp3").value.replace(/,/g, ''); Marketing_Fee_comp3 = TrailingZeros( Marketing_Fee_comp3 ); document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp3").value =Marketing_Fee_comp3;
    var Terminal_Throughputs_comp3  = document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp3").value.replace(/,/g, ''); Terminal_Throughputs_comp3 = TrailingZeros( Terminal_Throughputs_comp3 ); document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp3").value =Terminal_Throughputs_comp3;
    var Chemical_Costs_comp3  = document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp3").value.replace(/,/g, ''); Chemical_Costs_comp3 = TrailingZeros( Chemical_Costs_comp3 ); document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp3").value =Chemical_Costs_comp3;
    var Modification_Costs_comp3  = document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp3").value.replace(/,/g, ''); Modification_Costs_comp3 = TrailingZeros( Modification_Costs_comp3 ); document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp3").value =Modification_Costs_comp3;
    var DelivCostcomp3  = document.getElementById("OliPage:form1:pageblock1:DelivCostcomp3").value.replace(/,/g, ''); DelivCostcomp3 = TrailingZeros( DelivCostcomp3 ); document.getElementById("OliPage:form1:pageblock1:DelivCostcomp3").value =DelivCostcomp3;
    var salesPriceComp3 = document.getElementById("OliPage:form1:pageblock1:salesPriceComp3").value.replace(/,/g, '');  salesPriceComp3 = TrailingZeros( salesPriceComp3 ); document.getElementById("OliPage:form1:pageblock1:salesPriceComp3").value = salesPriceComp3 ;
    var salesPriceBIDComp3 = document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp3").value.replace(/,/g, '');  salesPriceBIDComp3 = TrailingZeros( salesPriceBIDComp3 ); document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp3").value =  salesPriceBIDComp3;
    var Margincomp3  = document.getElementById("OliPage:form1:pageblock1:Margincomp3").value.replace(/,/g, ''); Margincomp3 = TrailingZeros( Margincomp3 ); document.getElementById("OliPage:form1:pageblock1:Margincomp3").value =Margincomp3;
    var MarginPrctcomp3  = document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp3").value.replace(/,/g, ''); MarginPrctcomp3 = TrailingZeros( MarginPrctcomp3 ); document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp3").value =MarginPrctcomp3;
    var SalesPriceUSDComp3 = document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp3").value.replace(/,/g, '');  SalesPriceUSDComp3 = TrailingZeros( SalesPriceUSDComp3 ); document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp3").value =  SalesPriceUSDComp3;
    var DeliveredCostUSDComp3 = document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp3").value.replace(/,/g, '');  DeliveredCostUSDComp3 = TrailingZeros( DeliveredCostUSDComp3 ); document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp3").value =  DeliveredCostUSDComp3;
    var ApproxMarginUSDComp3 = document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp3").value.replace(/,/g, '');  ApproxMarginUSDComp3 = TrailingZeros( ApproxMarginUSDComp3 ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp3").value =  ApproxMarginUSDComp3;
    var Net_Back_comp3  = document.getElementById("OliPage:form1:pageblock1:Net_Back_comp3").value.replace(/,/g, ''); Net_Back_comp3 = TrailingZeros( Net_Back_comp3 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_comp3").value =Net_Back_comp3;
    var Net_Back_Origin_USD_comp3  = document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp3").value.replace(/,/g, ''); Net_Back_Origin_USD_comp3 = TrailingZeros( Net_Back_Origin_USD_comp3 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp3").value =Net_Back_Origin_USD_comp3;
}

function ReplaceZerosComp4(){
    var ProductCostcomp4  = document.getElementById("OliPage:form1:pageblock1:ProductCostcomp4").value.replace(/,/g, ''); ProductCostcomp4 = TrailingZeros( ProductCostcomp4 ); document.getElementById("OliPage:form1:pageblock1:ProductCostcomp4").value =ProductCostcomp4;
    var FreighttoCustomercomp4  = document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp4").value.replace(/,/g, ''); FreighttoCustomercomp4 = TrailingZeros( FreighttoCustomercomp4 ); document.getElementById("OliPage:form1:pageblock1:FreighttoCustomercomp4").value =FreighttoCustomercomp4;
    var Differential_comp4  = document.getElementById("OliPage:form1:pageblock1:Differential_comp4").value.replace(/,/g, ''); Differential_comp4 = TrailingZeros( Differential_comp4 ); document.getElementById("OliPage:form1:pageblock1:Differential_comp4").value =Differential_comp4;
    var Marketing_Fee_comp4  = document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp4").value.replace(/,/g, ''); Marketing_Fee_comp4 = TrailingZeros( Marketing_Fee_comp4 ); document.getElementById("OliPage:form1:pageblock1:Marketing_Fee_comp4").value =Marketing_Fee_comp4;
    var Terminal_Throughputs_comp4  = document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp4").value.replace(/,/g, ''); Terminal_Throughputs_comp4 = TrailingZeros( Terminal_Throughputs_comp4 ); document.getElementById("OliPage:form1:pageblock1:Terminal_Throughputs_comp4").value =Terminal_Throughputs_comp4;
    var Chemical_Costs_comp4  = document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp4").value.replace(/,/g, ''); Chemical_Costs_comp4 = TrailingZeros( Chemical_Costs_comp4 ); document.getElementById("OliPage:form1:pageblock1:Chemical_Costs_comp4").value =Chemical_Costs_comp4;
    var Modification_Costs_comp4  = document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp4").value.replace(/,/g, ''); Modification_Costs_comp4 = TrailingZeros( Modification_Costs_comp4 ); document.getElementById("OliPage:form1:pageblock1:Modification_Costs_comp4").value =Modification_Costs_comp4;
    var DelivCostcomp4  = document.getElementById("OliPage:form1:pageblock1:DelivCostcomp4").value.replace(/,/g, ''); DelivCostcomp4 = TrailingZeros( DelivCostcomp4 ); document.getElementById("OliPage:form1:pageblock1:DelivCostcomp4").value =DelivCostcomp4;
    var Margincomp4  = document.getElementById("OliPage:form1:pageblock1:Margincomp4").value.replace(/,/g, ''); Margincomp4 = TrailingZeros( Margincomp4 ); document.getElementById("OliPage:form1:pageblock1:Margincomp4").value =Margincomp4;
    var MarginPrctcomp4  = document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp4").value.replace(/,/g, ''); MarginPrctcomp4 = TrailingZeros( MarginPrctcomp4 ); document.getElementById("OliPage:form1:pageblock1:MarginPrctcomp4").value =MarginPrctcomp4;
    var salesPriceComp4 = document.getElementById("OliPage:form1:pageblock1:salesPriceComp4").value.replace(/,/g, '');  salesPriceComp4 = TrailingZeros( salesPriceComp4 ); document.getElementById("OliPage:form1:pageblock1:salesPriceComp4").value = salesPriceComp4 ;
    var salesPriceBIDComp4 = document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp4").value.replace(/,/g, '');  salesPriceBIDComp4 = TrailingZeros( salesPriceBIDComp4 ); document.getElementById("OliPage:form1:pageblock1:salesPriceBIDComp4").value =  salesPriceBIDComp4;
    var SalesPriceUSDComp4 = document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp4").value.replace(/,/g, '');  SalesPriceUSDComp4 = TrailingZeros( SalesPriceUSDComp4 ); document.getElementById("OliPage:form1:pageblock1:SalesPriceUSDComp4").value =  SalesPriceUSDComp4;
    var DeliveredCostUSDComp4 = document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp4").value.replace(/,/g, '');  DeliveredCostUSDComp4 = TrailingZeros( DeliveredCostUSDComp4 ); document.getElementById("OliPage:form1:pageblock1:DeliveredCostUSDComp4").value =  DeliveredCostUSDComp4;
    var ApproxMarginUSDComp4 = document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp4").value.replace(/,/g, '');  ApproxMarginUSDComp4 = TrailingZeros( ApproxMarginUSDComp4 ); document.getElementById("OliPage:form1:pageblock1:ApproxMarginUSDComp4").value =  ApproxMarginUSDComp4;    
    var Net_Back_comp4  = document.getElementById("OliPage:form1:pageblock1:Net_Back_comp4").value.replace(/,/g, ''); Net_Back_comp4 = TrailingZeros( Net_Back_comp4 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_comp4").value =Net_Back_comp4;
    var Net_Back_Origin_USD_comp4  = document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp4").value.replace(/,/g, ''); Net_Back_Origin_USD_comp4 = TrailingZeros( Net_Back_Origin_USD_comp4 ); document.getElementById("OliPage:form1:pageblock1:Net_Back_Origin_USD_comp4").value =Net_Back_Origin_USD_comp4;
}



function ReplaceZerosPricingTable() {
    
    var SalespricePU  = document.getElementById("OliPage:form1:pageblock1:SalespricePU").value.replace(/,/g, ''); SalespricePU = TrailingZeros( SalespricePU ); document.getElementById("OliPage:form1:pageblock1:SalespricePU").value =SalespricePU ;
    var SalespriceRC  = document.getElementById("OliPage:form1:pageblock1:SalespriceRC").value.replace(/,/g, ''); SalespriceRC = TrailingZeros( SalespriceRC ); document.getElementById("OliPage:form1:pageblock1:SalespriceRC").value =SalespriceRC ;
    var SalespriceA5  = document.getElementById("OliPage:form1:pageblock1:SalespriceA5").value.replace(/,/g, ''); SalespriceA5 = TrailingZeros( SalespriceA5 ); document.getElementById("OliPage:form1:pageblock1:SalespriceA5").value =SalespriceA5 ;
    var SalespriceA6  = document.getElementById("OliPage:form1:pageblock1:SalespriceA6").value.replace(/,/g, ''); SalespriceA6 = TrailingZeros( SalespriceA6 ); document.getElementById("OliPage:form1:pageblock1:SalespriceA6").value =SalespriceA6 ;
    var SalespriceA7  = document.getElementById("OliPage:form1:pageblock1:SalespriceA7").value.replace(/,/g, ''); SalespriceA7 = TrailingZeros( SalespriceA7 ); document.getElementById("OliPage:form1:pageblock1:SalespriceA7").value =SalespriceA7 ;
    var SalespriceA8  = document.getElementById("OliPage:form1:pageblock1:SalespriceA8").value.replace(/,/g, ''); SalespriceA8 = TrailingZeros( SalespriceA8 ); document.getElementById("OliPage:form1:pageblock1:SalespriceA8").value =SalespriceA8 ;
    
    var supplier1_PU_DC  = document.getElementById("supplier1_PU_DC").value.replace(/,/g, ''); supplier1_PU_DC = TrailingZeros( supplier1_PU_DC ); document.getElementById("supplier1_PU_DC").value =supplier1_PU_DC ;
    var supplier1_RC_DC  = document.getElementById("supplier1_RC_DC").value.replace(/,/g, ''); supplier1_RC_DC = TrailingZeros( supplier1_RC_DC ); document.getElementById("supplier1_RC_DC").value =supplier1_RC_DC ;
    var supplier1_A5_DC  = document.getElementById("supplier1_A5_DC").value.replace(/,/g, ''); supplier1_A5_DC = TrailingZeros( supplier1_A5_DC ); document.getElementById("supplier1_A5_DC").value =supplier1_A5_DC ;
    var supplier1_A6_DC  = document.getElementById("supplier1_A6_DC").value.replace(/,/g, ''); supplier1_A6_DC = TrailingZeros( supplier1_A6_DC ); document.getElementById("supplier1_A6_DC").value =supplier1_A6_DC ;
    var supplier1_A7_DC  = document.getElementById("supplier1_A7_DC").value.replace(/,/g, ''); supplier1_A7_DC = TrailingZeros( supplier1_A7_DC ); document.getElementById("supplier1_A7_DC").value =supplier1_A7_DC ;
    var supplier1_A8_DC  = document.getElementById("supplier1_A8_DC").value.replace(/,/g, ''); supplier1_A8_DC = TrailingZeros( supplier1_A8_DC ); document.getElementById("supplier1_A8_DC").value =supplier1_A8_DC ;
    var supplier1_PU_Margin  = document.getElementById("supplier1_PU_Margin").value.replace(/,/g, ''); supplier1_PU_Margin = TrailingZeros( supplier1_PU_Margin ); document.getElementById("supplier1_PU_Margin").value =supplier1_PU_Margin ;
    var supplier1_RC_Margin  = document.getElementById("supplier1_RC_Margin").value.replace(/,/g, ''); supplier1_RC_Margin = TrailingZeros( supplier1_RC_Margin ); document.getElementById("supplier1_RC_Margin").value =supplier1_RC_Margin ;
    var supplier1_A5_Margin  = document.getElementById("supplier1_A5_Margin").value.replace(/,/g, ''); supplier1_A5_Margin = TrailingZeros( supplier1_A5_Margin ); document.getElementById("supplier1_A5_Margin").value =supplier1_A5_Margin ;
    var supplier1_A6_Margin  = document.getElementById("supplier1_A6_Margin").value.replace(/,/g, ''); supplier1_A6_Margin = TrailingZeros( supplier1_A6_Margin ); document.getElementById("supplier1_A6_Margin").value =supplier1_A6_Margin ;
    var supplier1_A7_Margin  = document.getElementById("supplier1_A7_Margin").value.replace(/,/g, ''); supplier1_A7_Margin = TrailingZeros( supplier1_A7_Margin ); document.getElementById("supplier1_A7_Margin").value =supplier1_A7_Margin ;
    var supplier1_A8_Margin  = document.getElementById("supplier1_A8_Margin").value.replace(/,/g, ''); supplier1_A8_Margin = TrailingZeros( supplier1_A8_Margin ); document.getElementById("supplier1_A8_Margin").value =supplier1_A8_Margin ;
    var supplier1_PU_Netback  = document.getElementById("supplier1_PU_Netback").value.replace(/,/g, ''); supplier1_PU_Netback = TrailingZeros( supplier1_PU_Netback ); document.getElementById("supplier1_PU_Netback").value =supplier1_PU_Netback ;
    var supplier1_RC_Netback  = document.getElementById("supplier1_RC_Netback").value.replace(/,/g, ''); supplier1_RC_Netback = TrailingZeros( supplier1_RC_Netback ); document.getElementById("supplier1_RC_Netback").value =supplier1_RC_Netback ;
    var supplier1_A5_Netback  = document.getElementById("supplier1_A5_Netback").value.replace(/,/g, ''); supplier1_A5_Netback = TrailingZeros( supplier1_A5_Netback ); document.getElementById("supplier1_A5_Netback").value =supplier1_A5_Netback ;
    var supplier1_A6_Netback  = document.getElementById("supplier1_A6_Netback").value.replace(/,/g, ''); supplier1_A6_Netback = TrailingZeros( supplier1_A6_Netback ); document.getElementById("supplier1_A6_Netback").value =supplier1_A6_Netback ;
    var supplier1_A7_Netback  = document.getElementById("supplier1_A7_Netback").value.replace(/,/g, ''); supplier1_A7_Netback = TrailingZeros( supplier1_A7_Netback ); document.getElementById("supplier1_A7_Netback").value =supplier1_A7_Netback ;
    var supplier1_A8_Netback  = document.getElementById("supplier1_A8_Netback").value.replace(/,/g, ''); supplier1_A8_Netback = TrailingZeros( supplier1_A8_Netback ); document.getElementById("supplier1_A8_Netback").value =supplier1_A8_Netback ;
}

// Helping scripts for removing trailing zeros
// Function to determinate how many decimal places number contains 
var countDecimals = function (value) {
    if(Math.floor(value) === value) return 0;
    return value.toString().split(".")[1].length || 0; 
}
// function to return number in needed formating
function TrailingZeros(number){
       
  if ( number == '0.000000'){
		return 0;}    
  if ( number == '0'){
		return 0;}       
    
    number = parseFloat(number);
        
  if ( isNaN(number)){
		return 0;
    }    
   
    decimalPlaces = countDecimals(number);
    
      if (countDecimals(number) == 1 || countDecimals(number) == 0 ){
		return number.toFixed(2);
    } 
    else {
        return number;
    }
    
}



